Bug 469919 - qpidd init script over-rides user option settings.
qpidd init script over-rides user option settings.
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Jiri Kolar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 13:52 EST by Alan Conway
Modified: 2010-10-14 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The startup script for the qpidd service no longer overrides environment variables.
Story Points: ---
Clone Of:
: 635585 (view as bug list)
Environment:
Last Closed: 2010-10-14 11:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-11-04 13:52:59 EST
Description of problem:

The qpid init script ignores environment settings of certain variables, e.g. QPID_DATA_DIR and QPID_PID_DIR because it passes them as command line arguments.
It also does not follow the standard posix convention for reading environment settings from a file in sysconfig  

Fix:

The init script should
1. Not use _any_ command line options since they override the users env settings.
2. Source /etc/sysconfig/qpidd to pick up any env settings there.
3. If there are critical options that will prevent qpidd functioning if left at the default value then set them using env. vars (e.g. QPID_PID_DIR) but ONLY if the env. var is not already set.

This issue came up on site with a customer, reported by jeff@redhat.com.
Comment 2 Gordon Sim 2010-04-30 12:06:09 EDT
Fixed in part by 939726. This still passes the data-dir on the command line, but checks if it has been set via the env var and uses that value if so. The use of the daemon function prevents env vars being passed to the qpidd process which is why command line options are required here. See bug 564093 for more on that.

I'm marking this modified as the ability to pass env vars through with the daemon function call is more properly an OS level bug.
Comment 4 Gordon Sim 2010-09-20 05:18:18 EDT
Fyi, clone createdas bug 635585 for addressing the issue more completely following the resolution of bug 564093.
Comment 5 Jiri Kolar 2010-09-20 05:33:59 EDT
this is on 1.2 already and
on qpid-cpp-server-0.7.946106-12 still ok
validated on RHEL5.5/RHEL4  i386 / x86_64  

packages:
qpid-cpp-server-0.7.946106-12.el4
python-qpid-0.7.946106-13.el4
qpid-cpp-client-devel-docs-0.7.946106-12.el4
qpid-cpp-mrg-debuginfo-0.7.946106-11.el4
qpid-cpp-client-0.7.946106-12.el4
qpid-cpp-client-devel-0.7.946106-12.el4
qpid-cpp-server-devel-0.7.946106-12.el4
qpid-java-client-0.7.946106-8.el4
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-53
qpid-cpp-server-ssl-0.7.946106-12.el4
qpid-cpp-server-store-0.7.946106-12.el4
qpid-tools-0.7.946106-10.el4
qpid-cpp-client-ssl-0.7.946106-12.el4
qpid-cpp-server-xml-0.7.946106-12.el4
qpid-java-common-0.7.946106-8.el4


->VERIFIED
Comment 6 Jaromir Hradilek 2010-10-07 09:42:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The startup script for the qpidd service no longer overrides environment variables.
Comment 8 errata-xmlrpc 2010-10-14 11:57:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.